## List IntegrationRuns

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/integrationruns/{entityType}/{entityId} \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/integrationruns/{entityType}/{entityId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/integrationruns/{entityType}/{entityId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

- **200** - Successful request
- **4XX** - Client errors
- **5XX** - Server errors

### Response Structure

```json
{
  "data": [\
    {\
      "id": "<string>",\
      "entityType": "<string>",\
      "entityId": "<string>",\
      "status": "<unknown>",\
      "destination": "<string>",\
      "version": 123,\
      "dtCreated": "2023-11-07T05:31:56Z",\
      "dtLastModified": "2023-11-07T05:31:56Z",\
      "createdBy": "<string>",\
      "lastModifiedBy": "<string>",\
      "dtStarted": "2023-11-07T05:31:56Z",\
      "dtCompleted": "2023-11-07T05:31:56Z",\
      "destinationId": "<string>",\
      "error": "<string>",\
      "url": "<string>",\
      "externalId": "<string>",\
      "parentIntegrationRunId": "<string>",\
      "replayedFromIntegrationRunId": "<string>"\
    }\
  ],\
  "nextToken": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

### Authorizations

**Authorization**
- Required: Yes
- Type: `string`
- Location: header

### Path Parameters

- **orgId**: Unique identifier (UUID) for your Organization (required)
- **entityId**: UUID of the entity for integration runs (required)
- **entityType**: Type of the entity to retrieve integration runs for; options are:
  - Bill
  - Notification

### Query Parameters

- **startDate**: Retrieve runs started after the specified date/time (ISO 8601 format)
- **endDate**: Retrieve runs started before or on the specified date/time (ISO 8601 format)
- **pageSize**: Number of integration runs to retrieve per page (range: 1-200)
- **nextToken**: For multi-page retrievals
- **status**: Status of the integration run (available options: `WAITING`, `STARTED`, `COMPLETE`, `ERROR`, etc.)
- **order**: Integration runs order (available options: `ASC`, `DESC`)

### Response

- **200**: application/json - Return the Integration Runs.
